DeleteHarness
Operation to delete a Harness.
Request Syntax
DELETE /harnesses/harnessId?clientToken=clientToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- clientToken
-
A unique, case-sensitive identifier to ensure idempotency of the request.
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256} - harnessId
-
The ID of the harness to delete.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,39}-[a-zA-Z0-9]{10}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"harness": {
"allowedTools": [ "string" ],
"arn": "string",
"authorizerConfiguration": { ... },
"createdAt": "string",
"environment": { ... },
"environmentArtifact": { ... },
"environmentVariables": {
"string" : "string"
},
"executionRoleArn": "string",
"failureReason": "string",
"harnessId": "string",
"harnessName": "string",
"maxIterations": number,
"maxTokens": number,
"memory": { ... },
"model": { ... },
"skills": [
{ ... }
],
"status": "string",
"systemPrompt": [
{ ... }
],
"timeoutSeconds": number,
"tools": [
{
"config": { ... },
"name": "string",
"type": "string"
}
],
"truncation": {
"config": { ... },
"strategy": "string"
},
"updatedAt": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: